Source: jenkins-scripts
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils 
Standards-Version: 1.1
Homepage: http://www.tizen.org

Package: jenkins-scripts
Architecture: all
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 gzip,
 jenkins-scripts-common,
 jenkins-scripts-submitobs,
 jenkins-scripts-tzs,
 jenkins-scripts-init,
 python-mysqldb
Description: Jenkins build job will call this scripts
  when build job is triggered by Gerrit/OBS event.

Package: jenkins-scripts-common
Architecture: all
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 gzip,
 createrepo-c,
 git-core,
 git-buildpackage-rpm,
 python-beautifulsoup4,
 python-cheetah,
 python-redis,
 python-requests,
 python-snapdiff,
 python-yaml,
 python-lxml,
 gbs-api,
Description: Common part of jenkins scripts

Package: jenkins-scripts-tzs
Architecture: all
Depends:  ${python:Depends},
 jenkins-scripts-common
Description: Jenkins scripts for tzs customer appliance instance

Package: jenkins-scripts-submitobs
Architecture: all
Depends:  ${python:Depends},
 jenkins-scripts-common
Description: Isolated job_submitobs to avoid package installation conflicts

Package: jenkins-scripts-init
Architecture: all
Description: Groovy init scripts for jenkins startup

